"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configs = exports.rules = void 0;
const attach_shadow_constructor_1 = require("./rules/attach-shadow-constructor");
const define_tag_after_class_definition_1 = require("./rules/define-tag-after-class-definition");
const expose_class_on_global_1 = require("./rules/expose-class-on-global");
const file_name_matches_element_1 = require("./rules/file-name-matches-element");
const guard_define_call_1 = require("./rules/guard-define-call");
const guard_super_call_1 = require("./rules/guard-super-call");
const max_elements_per_file_1 = require("./rules/max-elements-per-file");
const no_child_traversal_in_attributechangedcallback_1 = require("./rules/no-child-traversal-in-attributechangedcallback");
const no_child_traversal_in_connectedcallback_1 = require("./rules/no-child-traversal-in-connectedcallback");
const no_closed_shadow_root_1 = require("./rules/no-closed-shadow-root");
const no_constructor_1 = require("./rules/no-constructor");
const no_constructor_attributes_1 = require("./rules/no-constructor-attributes");
const no_constructor_params_1 = require("./rules/no-constructor-params");
const no_customized_built_in_elements_1 = require("./rules/no-customized-built-in-elements");
const no_exports_with_element_1 = require("./rules/no-exports-with-element");
const no_invalid_element_name_1 = require("./rules/no-invalid-element-name");
const no_invalid_extends_1 = require("./rules/no-invalid-extends");
const no_method_prefixed_with_on_1 = require("./rules/no-method-prefixed-with-on");
const no_self_class_1 = require("./rules/no-self-class");
const no_typos_1 = require("./rules/no-typos");
const recommended_1 = require("./configs/recommended");
const best_practice_1 = require("./configs/best-practice");
const legacy_recommended_1 = require("./configs/legacy-recommended");
const legacy_best_practice_1 = require("./configs/legacy-best-practice");
const require_listener_teardown_1 = require("./rules/require-listener-teardown");
const tag_name_matches_class_1 = require("./rules/tag-name-matches-class");
exports.rules = {
    'attach-shadow-constructor': attach_shadow_constructor_1.default,
    'define-tag-after-class-definition': define_tag_after_class_definition_1.default,
    'expose-class-on-global': expose_class_on_global_1.default,
    'file-name-matches-element': file_name_matches_element_1.default,
    'guard-define-call': guard_define_call_1.default,
    'guard-super-call': guard_super_call_1.default,
    'max-elements-per-file': max_elements_per_file_1.default,
    'no-child-traversal-in-attributechangedcallback': no_child_traversal_in_attributechangedcallback_1.default,
    'no-child-traversal-in-connectedcallback': no_child_traversal_in_connectedcallback_1.default,
    'no-closed-shadow-root': no_closed_shadow_root_1.default,
    'no-constructor': no_constructor_1.default,
    'no-constructor-attributes': no_constructor_attributes_1.default,
    'no-constructor-params': no_constructor_params_1.default,
    'no-customized-built-in-elements': no_customized_built_in_elements_1.default,
    'no-exports-with-element': no_exports_with_element_1.default,
    'no-invalid-element-name': no_invalid_element_name_1.default,
    'no-invalid-extends': no_invalid_extends_1.default,
    'no-method-prefixed-with-on': no_method_prefixed_with_on_1.default,
    'no-self-class': no_self_class_1.default,
    'no-typos': no_typos_1.default,
    'require-listener-teardown': require_listener_teardown_1.default,
    'tag-name-matches-class': tag_name_matches_class_1.default
};
const plugin = { rules: exports.rules };
exports.configs = {
    recommended: legacy_recommended_1.config,
    'best-practice': legacy_best_practice_1.config,
    'flat/recommended': (0, recommended_1.configFactory)(plugin),
    'flat/best-practice': (0, best_practice_1.configFactory)(plugin)
};
