import * as ESTree from 'estree';
import { Rule } from 'eslint';
/**
 * Computes the name of a given method node
 * @param {ESTree.MethodDefinition} node Node to retrieve name from
 * @return {string|null}
 */
export declare function getMethodName(node: ESTree.MethodDefinition): string | null;
/**
 * Attempts to resolve any references, e.g. if a node is an identifier
 * @param {ESTree.Node} node Node to resolve
 * @param {Rule.RuleContext} context Rule context
 * @return {ESTree.Node}
 */
export declare function resolveReference(node: ESTree.Node, context: Rule.RuleContext): ESTree.Node;
