import * as ESTree from 'estree';
/**
 * Determines if a node is a `customElements` reference
 * @param {ESTree.Node} node Node to test
 * @return {boolean}
 */
export declare function isCustomElementsRegistry(node: ESTree.Node): boolean;
/**
 * Determines if a call expression is a `customElements.define` call
 * @param {ESTree.CallExpression} node Node to test
 * @return {boolean}
 */
export declare function isDefineCall(node: ESTree.CallExpression): boolean;
/**
 * Determines if a call expression is a `customElements.get` call
 * @param {ESTree.CallExpression} node Node to test
 * @return {boolean}
 */
export declare function isGetCall(node: ESTree.CallExpression): boolean;
