/**
 * Converts a _spaceless_ string to kebab-case
 * @param {string} str String to convert
 * @return {string}
 */
export declare function toKebabCase(str: string): string;
/**
 * Converts a _spaceless_ string to snake_case
 * @param {string} str String to convert
 * @return {string}
 */
export declare function toSnakeCase(str: string): string;
/**
 * Converts a _spaceless_ string to PascalCase
 * @param {string} str String to convert
 * @return {string}
 */
export declare function toPascalCase(str: string): string;
/**
 * Converts a _spaceless_ string to camelCase
 * @param {string} str String to convert
 * @return {string}
 */
export declare function toCamelCase(str: string): string;
/**
 * Converts a _spaceless_ string to the specified type of casing
 * @param {string} str String to convert
 * @param {string} type Type of casing
 * @return {string}
 */
export declare function toCaseByType(str: string, type: 'kebab' | 'camel' | 'snake' | 'pascal' | 'none'): string;
